<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:th="http://www.thymeleaf.org">

<head>
	<th:block th:insert="fragments/general.html :: imports"> </th:block>
	<script th:inline="javascript">
		function validate() {
	        if (document.f.username.value == "" && document.f.password.value == "") {
	            alert(/*[[#{message.username} + #{message.password}]]*/);
	            document.f.username.focus();
	            return false;
	        }
	        if (document.f.username.value == "") {
	            alert(/*[[#{message.username}]]*/);
	            document.f.username.focus();
	            return false;
	        }
	        if (document.f.password.value == "") {
	            alert(/*[[#{message.password}]]*/);
	            document.f.password.focus();
	            return false;
	        }
	    }
	    
	</script>
	<style type="text/css">
		.wrapper{width:500px;margin-left:auto;margin-right:auto}
		label{padding-left:0 !important}
	
		body {
			background-color: #DADADA;
		}
		
		body>.grid {
			height: 100%;
		}
		
		.column {
			max-width: 450px;
		}
	</style>
</head>
<body>

	<div class="ui middle aligned center aligned grid">
		<div class="column">
			<div class="ui raised segment">
				<h2 class="ui blue image header" th:text="#{label.form.loginTitle}">Congregaci&oacute;n Mita Inc.</h2>
				<br/>
				<br/>
				<form class="ui large form" name='f' action="login" method='POST'>
					<div class="field">
						<div class="ui left icon input">
							<i class="at icon"></i> <input type="email" id="username" name="username" class="form-control" th:placeholder="#{label.form.loginEmail}" text="dude">
						</div>
					</div>
					<div class="field">
						<div class="ui left icon input">
							<i class="lock icon"></i> <input type="password" id="password" name="password" class="form-control" th:placeholder="#{label.form.loginPass}">
						</div>
					</div>
					<input class="ui primary fluid large teal submit button" name="submit" type="submit" th:value="#{label.form.submit}" />
					
				</form>
			</div>
			
			<div th:if="${param.message != null}" class="ui error message" th:text="${param.message[0]}">message</div>
			<div th:if="${param.error != null}" class="ui error message" th:text="${session[SPRING_SECURITY_LAST_EXCEPTION]}">error</div>
			
		</div>
	</div>
</body>

</html>